crash in mozilla::DisplayItemClip::IntersectWith

REOPENED
Unassigned

Status

()

--
critical
REOPENED
6 years ago
2 years ago

People

(Reporter: scoobidiver, Unassigned)

Tracking

({crash, regression})

23 Branch
ARM
Android
crash, regression
Points:
---

Firefox Tracking Flags

(firefox22 unaffected, firefox23 affected, firefox47 affected, firefox48 wontfix, firefox49 fix-optional, firefox-esr45 affected, firefox50 fix-optional, firefox51 fix-optional)

Details

(Whiteboard: [native-crash], crash signature)

(Reporter)

Description

6 years ago
There are two crashes from two users in 23.0a1/20130410065939.
The stack trace makes me think it's caused by bug 841192 but I am surprised there are no crashes from April 6 to April 9 builds.

Signature 	mozilla::DisplayItemClip::IntersectWith(mozilla::DisplayItemClip const&) More Reports Search
UUID	1abd85e2-5584-442a-b9cd-6e9f62130411
Date Processed	2013-04-11 11:10:40
Uptime	48126
Last Crash	2.7 weeks before submission
Install Age	13.4 hours since version was first installed.
Install Time	2013-04-10 21:48:26
Product	FennecAndroid
Version	23.0a1
Build ID	20130410065939
Release Channel	nightly
OS	Android
OS Version	0.0.0 Linux 3.0.31-cyanogenmod-g64e9296 #2 SMP PREEMPT Sat Apr 6 02:45:28 PDT 2013 armv7l google/yakju/maguro:4.2.2/JDQ39/573038:user/release-keys
Build Architecture	arm
Build Architecture Info	
Crash Reason	SIGSEGV
Crash Address	0x5f7c9008
App Notes 	
AdapterDescription: 'Imagination Technologies -- PowerVR SGX 540 -- OpenGL ES 2.0 build 1.8.GOOGLENEXUS.ED945322@2198402 -- Model: Galaxy Nexus, Product: yakju, Manufacturer: Samsung, Hardware: tuna'
GL Layers! EGL? EGL+ GL Context? GL Context+ GL Layers+ Stagefright? Stagefright+ 
Samsung Galaxy Nexus
google/yakju/maguro:4.2.2/JDQ39/573038:user/release-keys
Processor Notes 	sp-processor02.phx1.mozilla.com_776:2008; exploitablity tool: ERROR: unable to analyze dump
EMCheckCompatibility	True
Adapter Vendor ID	Imagination Technologies
Adapter Device ID	PowerVR SGX 540
Device	Samsung Galaxy Nexus
Android API Version	17 (REL)
Android CPU ABI	armeabi-v7a

Frame 	Module 	Signature 	Source
0 		@0x5f7c9008 	
1 	libxul.so 	mozilla::DisplayItemClip::IntersectWith 	layout/base/DisplayItemClip.cpp:63
2 	libxul.so 	mozilla::DisplayListClipState::GetCurrentCombinedClip 	layout/base/DisplayListClipState.cpp:26
3 	libxul.so 	nsTextFrame::BuildDisplayList 	layout/base/nsDisplayList.h:716
4 	libxul.so 	gfxTextRun::CharIsNewline 	obj-firefox/dist/include/gfxFont.h:2500
5 	libxul.so 	nsIFrame::BuildDisplayListForChild 	layout/generic/nsFrame.cpp:2164
6 	libxul.so 	DisplayLine 	layout/generic/nsBlockFrame.cpp:6201

More reports at:
https://crash-stats.mozilla.com/report/list?signature=mozilla%3A%3ADisplayItemClip%3A%3AIntersectWith%28mozilla%3A%3ADisplayItemClip+const%26%29
(Reporter)

Comment 1

6 years ago
Crashes have stopped since 23.0a1/20130423.
Status: NEW → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → WORKSFORME
Hit this today while clipping something from GMail

https://crash-stats.mozilla.com/report/index/7a0b0421-af59-46ed-b14e-143db2150805
Status: RESOLVED → REOPENED
Resolution: WORKSFORME → ---

Updated

3 years ago
Crash Signature: [@ mozilla::DisplayItemClip::IntersectWith(mozilla::DisplayItemClip const&)] → [@ mozilla::DisplayItemClip::IntersectWith(mozilla::DisplayItemClip const&)] [@ mozilla::DisplayItemClip::IntersectWith]
Crash volume for signature 'mozilla::DisplayItemClip::IntersectWith':
 - nightly (version 50): 0 crash from 2016-06-06.
 - aurora  (version 49): 1 crash from 2016-06-07.
 - beta    (version 48): 25 crashes from 2016-06-06.
 - release (version 47): 39 crashes from 2016-05-31.
 - esr     (version 45): 10 crashes from 2016-04-07.

Crash volume on the last weeks:
             Week N-1   Week N-2   Week N-3   Week N-4   Week N-5   Week N-6   Week N-7
 - nightly          0          0          0          0          0          0          0
 - aurora           0          1          0          0          0          0          0
 - beta             4          3          2          4          5          5          1
 - release          5          4          6          7          5          6          1
 - esr              2          1          1          1          1          1          1

Affected platforms: Windows, Mac OS X, Linux
status-firefox47: --- → affected
status-firefox48: --- → affected
status-firefox49: --- → affected
status-firefox-esr45: --- → affected
status-firefox48: affected → wontfix
status-firefox49: affected → fix-optional
status-firefox50: --- → fix-optional
status-firefox51: --- → fix-optional

Updated

2 years ago
Component: Layout → Layout: View Rendering

Updated

2 years ago
Component: Layout: View Rendering → Layout: Web Painting
You need to log in before you can comment on or make changes to this bug.